Calendar/Lightning failure with upgrade to Thunderbird 2.0.0.19

RESOLVED WORKSFORME

Status

--
critical
RESOLVED WORKSFORME
10 years ago
10 years ago

People

(Reporter: tblader, Unassigned)

Tracking

Details

(Reporter)

Description

10 years ago
User-Agent:       Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.1.18) Gecko/20081029 Firefox/2.0.0.18
Build Identifier: 

After updating to thunderbird 2.0.0.19 from 2.0.0.17, The calendar reports errors and remains unusable.

Error message from console
-----------------------------
   calStorageCalendar Schema Update failed -- db version: 14 this version: 7

Error message from thunderbird
--------------------------------
An error has occurred

An error was encountered preparing the calendar located at moz-profile-calendar:// for use.  it will not be available.

Details Button
------------------------------
Error number: 0x80004005

[Exception... "'Failure' when calling method: [calICalendar::uri]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: file:///home/tuser/.thunderbird/asbo33qu.test/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/components/calItemModule.js -> file:///home/tuser/.thunderbird/asbo33qu.test/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/js/calCalendarManager.js :: cmgr_createCalendar :: line 536"  data: no]


Reproducible: Always

Steps to Reproduce:
1. upgrade to thunderbird 2.0.0.19
2. start thunderbird
3. calendar fails to work correctly
Actual Results:  
leaves calendar files in non-working state, even when downgrading back to 2.0.0.17

Expected Results:  
calendar/lightning should have started without errors

Only options available when right-clicking the Calendar section are "Find" and "Export".  Everything else is greyed out, so not even able to fix it from thunderbird.  Only workaround is to restore profile directory from backup and restart using 2.0.0.17.
What Lightning version do you use? Lightning will not upgrade itself if you update the Thunderbird version. Or do you use a custom lightning build provided by your linux distribution?
(Reporter)

Comment 2

10 years ago
This is using Lightning release 0.9 which looks like the latest.
(Reporter)

Comment 3

10 years ago
I've removed Lightning version 0.9 add-on and then reinstalled.  This seems to be a work-around.
Resolving as worksforme per previous comment. 
Maybe something during the Thunderbird update messed up the data.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.